﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DataTemplate1
{
    public class Prod : INotifyPropertyChanged
    {
        public Prod()
        {

        }

        private string productId1;

        public string ProductId1
        {
            get { return productId1; }
            set
            {
                productId1 = value;
                OnPropertyChanged("ProductId");
            }
        }

        private string productName1;

        public string ProductName1
        {
            get { return productName1; }
            set
            {
                productName1 = value;
                OnPropertyChanged("ProductName");
            }
        }

        private int? salesID1;

        public int? SalesID1
        {
            get { return salesID1; }
            set
            {
                salesID1 = value;
                OnPropertyChanged("SalesID");
            }
        }

        private string customerName1;

        public string CustomerName1
        {
            get { return customerName1; }
            set
            {
                customerName1 = value;
                OnPropertyChanged("CustomerName");
            }
        }

        private string customerId1;

        public string CustomerId1
        {
            get { return customerId1; }
            set
            {
                customerId1 = value;
                OnPropertyChanged("CustomerId");
            }
        }

        private string customerBranch1;

        public string CustomerBranch1
        {
            get { return customerBranch1; }
            set
            {
                customerBranch1 = value;
                OnPropertyChanged("CustomerBranch");
            }
        }

        private int? perecent1;

        public int? Percent1
        {
            get { return perecent1; }
            set
            {
                perecent1 = value;
                OnPropertyChanged("Percent");
            }
        }

        private string shipmentdetails1;

        public string ShipmentDetails1
        {
            get { return shipmentdetails1; }
            set
            {
                shipmentdetails1 = value;
                OnPropertyChanged("ShipmentDetails");
            }
        }

        private string shipmentplace1;

        public string ShipmentPlace1
        {
            get { return shipmentplace1; }
            set
            {
                shipmentplace1 = value;
                OnPropertyChanged("ShipmentPlace");
            }
        }

        private ObservableCollection<DataTemplate1.Prod> product1;

        public ObservableCollection<DataTemplate1.Prod> ProductsDetails1
        {
            get { return product1; }
            set
            {
                product1 = value;
                OnPropertyChanged("ProductsDetails");
            }
        }


        public Prod(string productId, string productName, int? salesID, string customerName, string customerId,
           string customerBranch, int? perecent, string shipmentdetails, string shipmentplace)
        {
            this.productId1 = productId;
            this.productName1 = productName;
            this.salesID1 = salesID;
            this.customerName1 = customerName;
            this.customerId1 = customerId;
            this.customerBranch1 = customerBranch;
            this.perecent1 = perecent;
            this.shipmentdetails1 = shipmentdetails;
            this.shipmentplace1 = shipmentplace;
        }


        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged(String prop)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(prop));
            }
        }
    }
}
