﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace DataTemplate1
{
    public class ViewModel : INotifyPropertyChanged
    {
        private ObservableCollection<Product> product;

        public ObservableCollection<Product> ProductsDetails
        {
            get { return product; }
            set
            {
                product = value;
                OnPropertyChanged("ProductsDetails");
            }
        }

        public ViewModel()
        {
            product = new ObservableCollection<Product>();
            this.GetDetails();
        }


        private void GetDetails()
        {
            this.ProductsDetails = new ObservableCollection<Product>();
            ProductsDetails.Add(new Product("P1", "HardWare", 21, "Jon", "C2", "Ac", 344, "Shiped", "US"));
            ProductsDetails.Add(new Product("P2", "Software", 22, "John", "C1", "c", 278, "Shiped", "Uk"));
            ProductsDetails.Add(new Product("P3", "HardWare", 21, "Michel", "C3", "bc", 387, "Shiped", "Us"));
            ProductsDetails.Add(new Product("P4", "Software", 22, "Rose", "C4", "sc", 367, "Shiped", "Uk"));
            ProductsDetails.Add(new Product("P5", "HardWare", 21, "Son", "C5", "sc", 564, "Shiped", "Us"));
            ProductsDetails.Add(new Product("P6", "Software", 21, "tom", "C6", "dbc", 444, "Shiped", "Uk"));
            ProductsDetails.Add(new Product("P7", "HardWare", 22, "jery", "C7", "fc", 231, "Shiped", "US"));
            ProductsDetails.Add(new Product("P8", "Software", 22, "Rose", "C8", "vbc", 232, "Shiped", "Uk"));
            ProductsDetails.Add(new Product("P9", "HardWare", 21, "Sam", "C9", "bbbc", 678, "Shiped", "US"));
            ProductsDetails.Add(new Product("P10", "Software", 22, "tom", "C10", "bbbc", 345, "Shiped", "Uk"));
        }

        public event PropertyChangedEventHandler PropertyChanged;

        public void OnPropertyChanged(string propertyName)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
            {
                var e = new PropertyChangedEventArgs(propertyName);
                handler(this, e);
            }
        }
    }
}


