﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.UI.Xaml.Utility;
using Syncfusion.UI.Xaml.Grid;
using Syncfusion.UI.Xaml.Grid.Helpers;
using Syncfusion.UI.Xaml.Grid.Cells;

namespace DataTemplate1
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
    }
     
    public class CellTemplateSelector : DataTemplateSelector
    {
        public override DataTemplate SelectTemplate(object item, DependencyObject container)
        {
            if (item == null)
                return null;

            var dataItem = ((item) as Product);

            if (dataItem.SalesID == 22)
                return Application.Current.Resources["Branch1"] as DataTemplate;
            else
                return Application.Current.Resources["Branch2"] as DataTemplate;
        }
    }

    public class EditTemplateSelector : DataTemplateSelector
    {
        public override DataTemplate SelectTemplate(object item, DependencyObject container)
        {
            if (item == null)
                return null;

            var dataItem = (((item )) as Product);

            if (dataItem.SalesID == 22)
                return Application.Current.Resources["Branch1"] as DataTemplate;
            else
                return Application.Current.Resources["Branch2"] as DataTemplate;
        }
    }
}
