﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace DataTemplate1
{
    public class Product : INotifyPropertyChanged
    {
        public Product()
        {
        }

        private ObservableCollection<Prod> product1;

        public ObservableCollection<Prod> ProductsDetails1
        {
            get { return product1; }
            set
            {
                product1 = value;
                OnPropertyChanged("ProductsDetails1");
            }
        }


        private void GetDetails1()
        {
            this.ProductsDetails1 = new ObservableCollection<Prod>();
            ProductsDetails1.Add(new Prod("P1", "HardWare", 21, "Jon", "C2", "Ac", 344, "Shiped", "US"));
            ProductsDetails1.Add(new Prod("P2", "Software", 22, "John", "C1", "c", 278, "Shiped", "Uk"));
            ProductsDetails1.Add(new Prod("P3", "HardWare", 21, "Michel", "C3", "bc", 387, "Shiped", "Us"));
            ProductsDetails1.Add(new Prod("P4", "Software", 22, "Rose", "C4", "sc", 367, "Shiped", "Uk"));
            ProductsDetails1.Add(new Prod("P5", "HardWare", 21, "Son", "C5", "sc", 564, "Shiped", "Us"));
            ProductsDetails1.Add(new Prod("P6", "Software", 21, "tom", "C6", "dbc", 444, "Shiped", "Uk"));
            ProductsDetails1.Add(new Prod("P7", "HardWare", 22, "jery", "C7", "fc", 231, "Shiped", "US"));
            ProductsDetails1.Add(new Prod("P8", "Software", 22, "Rose", "C8", "vbc", 232, "Shiped", "Uk"));
            ProductsDetails1.Add(new Prod("P9", "HardWare", 21, "Sam", "C9", "bbbc", 678, "Shiped", "US"));
            ProductsDetails1.Add(new Prod("P10", "Software", 22, "tom", "C10", "bbbc", 345, "Shiped", "Uk"));
        }


        private string productId;

        public string ProductId
        {
            get { return productId; }
            set
            {
                productId = value;
                OnPropertyChanged("ProductId");
            }
        }

        private string productName;

        public string ProductName
        {
            get { return productName; }
            set
            {
                productName = value;
                OnPropertyChanged("ProductName");
            }
        }

        private int? salesID;

        public int? SalesID
        {
            get { return salesID; }
            set
            {
                salesID = value;
                OnPropertyChanged("SalesID");
            }
        }

        private string customerName;

        public string CustomerName
        {
            get { return customerName; }
            set
            {
                customerName = value;
                OnPropertyChanged("CustomerName");
            }
        }

        private string customerId;

        public string CustomerId
        {
            get { return customerId; }
            set
            {
                customerId = value;
                OnPropertyChanged("CustomerId");
            }
        }

        private string customerBranch;

        public string CustomerBranch
        {
            get { return customerBranch; }
            set
            {
                customerBranch = value;
                OnPropertyChanged("CustomerBranch");
            }
        }

        private int? perecent;

        public int? Percent
        {
            get { return perecent; }
            set
            {
                perecent = value;
                OnPropertyChanged("Percent");
            }
        }

        private string shipmentdetails;

        public string ShipmentDetails
        {
            get { return shipmentdetails; }
            set
            {
                shipmentdetails = value;
                OnPropertyChanged("ShipmentDetails");
            }
        }

        private string shipmentplace;

        public string ShipmentPlace
        {
            get { return shipmentplace; }
            set
            {
                shipmentplace = value;
                OnPropertyChanged("ShipmentPlace");
            }
        }

        public Product(string productId, string productName, int? salesID, string customerName, string customerId,
            string customerBranch, int? perecent, string shipmentdetails, string shipmentplace)
        {
            this.productId = productId;
            this.productName = productName;
            this.salesID = salesID;
            this.customerName = customerName;
            this.customerId = customerId;
            this.customerBranch = customerBranch;
            this.perecent = perecent;
            this.shipmentdetails = shipmentdetails;
            this.shipmentplace = shipmentplace;
            GetDetails1();
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged(String prop)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(prop));
            }
        }
    }
}
